Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.graphics.color
Class PDDeviceNAttributes

    java.lang.Object
      org.pdfbox.pdmodel.graphics.color.PDDeviceNAttributes

public class PDDeviceNAttributes
extends Object

This class represents attributes for a DeviceN color space.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`PDDeviceNAttributes()` Constructor.
`PDDeviceNAttributes(COSDictionary attributes)` Constructor.

Method Summary
`Map` | `getColorants()` This will get a map of colorants.
`COSDictionary` | `getCOSDictionary()` This will get the underlying cos dictionary.
`void` | `setColorants(Map colorants)` This will replace the existing colorant attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDDeviceNAttributes

    public PDDeviceNAttributes()

  Constructor.

### PDDeviceNAttributes

    public PDDeviceNAttributes(COSDictionary attributes)

  Constructor.

Parameters:
  `attributes` - A dictionary that has all of the attributes.

Method Detail

### getCOSDictionary

    public COSDictionary getCOSDictionary()

  This will get the underlying cos dictionary.

  Returns:
    The dictionary that this object wraps.

### getColorants

    public Map getColorants()
                     throws IOException

  This will get a map of colorants. See the PDF Reference for more details about this attribute. The map will contain a java.lang.String as the key, a colorant name, and a PDColorSpace as the value.

  Returns:
    The colorant map.
  Throws:
    `IOException` - If there is an error getting the colorspaces.

### setColorants

    public void setColorants(Map colorants)

  This will replace the existing colorant attribute. The key should be strings and the values should be PDColorSpaces.

  Parameters:
    `colorants` - The map of colorants.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD